package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.DimensionEnum;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.enums.EvaluationEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 校验-考察点模块评价建议表
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@ApiModel(value="GradeModuleEvaluation对象", description="校验-考察点模块评价建议表")
public class GradeModuleEvaluation extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "模块类型（知识、维度、素养）")
    private DimensionEnum moduleType;

    @ApiModelProperty(value = "计算公式规则")
    private EvaluationEnum formula;

    @ApiModelProperty(value = "取值范围（计算用）")
    private String scope;

    @ApiModelProperty(value = "等级")
    private String levelCode;

    @ApiModelProperty(value = "水平等级层次")
    private String levelName;

    @ApiModelProperty(value = "诊断结果")
    private String result;

    @ApiModelProperty(value = "学习建议")
    private String advice;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public DimensionEnum getModuleType() {
        return moduleType;
    }

    public void setModuleType(DimensionEnum moduleType) {
        this.moduleType = moduleType;
    }

    public EvaluationEnum getFormula() {
        return formula;
    }

    public void setFormula(EvaluationEnum formula) {
        this.formula = formula;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public String getLevelCode() {
        return levelCode;
    }

    public void setLevelCode(String levelCode) {
        this.levelCode = levelCode;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getAdvice() {
        return advice;
    }

    public void setAdvice(String advice) {
        this.advice = advice;
    }
}
